List Eval Config Runs
curl --request GET \
--url https://api.vogent.ai/api/eval_configs/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vogent.ai/api/eval_configs/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vogent.ai/api/eval_configs/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"callAgentId": "<string>",
"versionedPromptId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"aggregateResult": {
"numFailing": 123,
"numPassing": 123
}
}
],
"cursor": "<string>"
}Eval Runs
List Eval Config Runs
Lists the runs for an AI evaluation configuration.
GET
/
eval_configs
/
{id}
/
runs
List Eval Config Runs
Authorizations
In the form Bearer <api_key_here>. You can find your api key in your dashboard.
Path Parameters
ID of the eval config.
Query Parameters
The maximum number of runs to fetch.
The pagination cursor returned by the previous request.
⌘I